#if !defined(BRIDLE_INIT_H)
#define BRIDLE_INIT_H
/*======================================================
FILE:  BRIDLEInit.h

SERVICES:  BRIDLE externs for target specific 
           initializations.

GENERAL DESCRIPTION:


PUBLIC CLASSES:

None.

INITIALIZATION AND SEQUENCING REQUIREMENTS
None.

        Copyright  2003 QUALCOMM Incorporated.
               All Rights Reserved.
            QUALCOMM Proprietary/GTDR
=====================================================*/

#include "AEEBridle.h"

// the call back to bridle to register your subsystem that uses 
// BRIDLE_SUBSYS_ naming
#define BRIDLE_REGISTER_SUBSYS(name) \
   bridle_RegisterSubSystem(bridle_##name##_swihandler, &BRIDLE_SUBSYS_NO(name))

extern int bridle_Init(void *po);
extern int bridle_RegisterSubSystem(PFNSWIHANDLER pfn, uint32* psubsysno);

extern int bridle_aee_RegisterSubSystem(void *po);
extern int bridle_fs_RegisterSubSystem(void *po);
extern int RegisterOEMOSForSWI(void *po);
extern int RegisterSNDForSWI(void *);
extern int bridle_sock_RegisterSubSystem(void *po);
extern int bridle_fifo_RegisterSubSystem(void *po);
extern int bridle_kcb_RegisterSubSystem(void *po);
extern int RegisterRanForSWI(void *po);
#ifdef FEATURE_BREW_TAPI
extern int RegisterTAPIForSWI(void *po);
#endif //FEATURE_BREW_TAPI
extern int RegisterCriticalSectionForSWI(void *po);
extern int RegisterMutexForSWI(void *po);
#ifdef FEATURE_POSITION_DETERMINATION
extern int RegisterPosDetForSWI(void *po);
#endif /* FEATURE_POSITION_DETERMINATION */
#ifdef FEATURE_IVOCODER
extern int RegisterVocoderForSWI(void *po);
#endif /* FEATURE_IVOCODER */
extern int RegisterDebugForSWI(void *po);
#ifdef FEATURE_BREW_CAMERA
extern int bridle_camera_RegisterSubSystem(void *po);
#endif //FEATURE_BREW_CAMERA
#ifdef FEATURE_BREW_SIO
extern int bridle_sio_RegisterSubSystem(void *po);
#endif /* FEATURE_BREW_SIO */
#ifdef FEATURE_BREW_SMS
extern int RegisterSMSForSWI(void *po);
#endif // FEATURE_BREW_SMS
#ifdef FEATURE_BREW_BATTERY
extern int RegisterBatteryForSWI(void *po);
#endif // FEATURE_BREW_BATTERY

typedef int (*PFNBRIDLEINIT)(void *po);


#endif //BRIDLE_INIT_H
